Mutect is not working

woodydonwoodydon TaipeiMember

Dear Cancer team,

I installed mvn, gatk-protected, and mutect. (https://github.com/broadinstitute/mutect) After that, I came upon the following error message:

ERROR ------------------------------------------------------------------------------------------
ERROR stack trace

java.lang.ExceptionInInitializerError
at org.broadinstitute.sting.gatk.GenomeAnalysisEngine.(GenomeAnalysisEngine.java:167)
at org.broadinstitute.sting.gatk.CommandLineExecutable.(CommandLineExecutable.java:57)
at org.broadinstitute.sting.gatk.CommandLineGATK.(CommandLineGATK.java:66)
at org.broadinstitute.sting.gatk.CommandLineGATK.main(CommandLineGATK.java:106)
Caused by: java.lang.NullPointerException
at org.reflections.Reflections.scan(Reflections.java:220)
at org.reflections.Reflections.scan(Reflections.java:166)
at org.reflections.Reflections.(Reflections.java:94)
at org.broadinstitute.sting.utils.classloader.PluginManager.(PluginManager.java:79)
... 4 more

ERROR ------------------------------------------------------------------------------------------
ERROR A GATK RUNTIME ERROR has occurred (version 3.1-0-g72492bb):
ERROR
ERROR This might be a bug. Please check the documentation guide to see if this is a known problem.
ERROR If not, please post the error message, with stack trace, to the GATK forum.
ERROR Visit our website and forum for extensive documentation and answers to
ERROR commonly asked questions http://www.broadinstitute.org/gatk
ERROR
ERROR MESSAGE: Code exception (see stack trace for error itself)
ERROR ------------------------------------------------------------------------------------------

It seems to be a GATK version error. Where can I download the correct version of MuTect that is compatible with GATK 3.3 or GATK3.1?

Thanks,
Woody

Best Answer

Answers

  • woodydonwoodydon TaipeiMember
    edited March 2015

    I found that the problem was due to gatk-protected. I replaced gatk-protected/GenomeAnalysisTK.jar with GATK 3.3. Now, mutect is working.

    Thanks for showing the download page. I will try that too.

    Woody

  • woodydonwoodydon TaipeiMember

    The strange thing is that it showed GATK3.1 instead of GATK3.3.

    INFO 11:13:44,094 HelpFormatter - The Genome Analysis Toolkit (GATK) v3.1-0-g72492bb, Compiled 2015/03/31 02
    :17:36

    I looked at the log file again from PrintReads of GATK3.3. I found that the compiled time for GATK3.3 was actually older than GATK3.1 showed above.

    INFO 07:38:53,747 HelpFormatter - The Genome Analysis Toolkit (GATK) v3.3-0-g37228af, Compiled 2014/10/24 01
    :07:22

    Therefore, I am confused. Am I using GATK3.3 or GATK3.1 for the MuTect run? I should be using GATK3.3. Why did GATK3.3 look older than GATK3.1 in terms of compiled dates?

    Thanks,
    Woody

  • Geraldine_VdAuweraGeraldine_VdAuwera Cambridge, MAMember, Administrator, Broadie admin

    It looks like you compiled GATK 3.1 yourself from source, whereas when you got 3.3 you probably just got the precompiled release, which was compiled several months ago.

    If you want to make everything easier, just download the precompiled MuTect 1.1.7 from our downloads page (bottom of the page).

  • woodydonwoodydon TaipeiMember

    The precompiled MuTect 1.1.7 is using GATK3.1. It is also working. Thanks.

    Woody

  • thchen86thchen86 MD Anderson Cancer CenterMember

    Hi Geraldine,

    I downloaded complied mutect 1.1.7 from the gatk download page, when I ran mutect, I got similar error:

    ERROR stack trace

    java.lang.ExceptionInInitializerError
    at org.broadinstitute.sting.gatk.GenomeAnalysisEngine.(GenomeAnalysisEngine.java:167)
    at org.broadinstitute.sting.gatk.CommandLineExecutable.(CommandLineExecutable.java:57)
    at org.broadinstitute.sting.gatk.CommandLineGATK.(CommandLineGATK.java:66)
    at org.broadinstitute.sting.gatk.CommandLineGATK.main(CommandLineGATK.java:106)
    Caused by: java.lang.NullPointerException
    at org.reflections.Reflections.scan(Reflections.java:220)
    at org.reflections.Reflections.scan(Reflections.java:166)
    at org.reflections.Reflections.(Reflections.java:94)
    at org.broadinstitute.sting.utils.classloader.PluginManager.(PluginManager.java:79)
    ... 4 more

    ERROR ------------------------------------------------------------------------------------------
    ERROR A GATK RUNTIME ERROR has occurred (version 3.1-0-g72492bb):
    ERROR
    ERROR This might be a bug. Please check the documentation guide to see if this is a known problem.
    ERROR If not, please post the error message, with stack trace, to the GATK forum.
    ERROR Visit our website and forum for extensive documentation and answers to
    ERROR commonly asked questions http://www.broadinstitute.org/gatk
    ERROR
    ERROR MESSAGE: Code exception (see stack trace for error itself)
    ERROR ------------------------------------------------------------------------------------------

    Do you have any suggestions?

    Thanks,
    Terry

  • Geraldine_VdAuweraGeraldine_VdAuwera Cambridge, MAMember, Administrator, Broadie admin

    Hi Terry @thchen86

    Sorry for the late response. Can you check what is the java version you are using? It should be 1.7.

  • mikitebamikiteba MeldolaMember

    Hi Geraldine,
    I have the same error of thchen86:

    java -Xmx10g -jar /programs/mutect-1.1.7.jar --analysis_type MuTect

    ERROR ------------------------------------------------------------------------------------------
    ERROR stack trace

    java.lang.ExceptionInInitializerError
    at org.broadinstitute.sting.gatk.GenomeAnalysisEngine.(GenomeAnalysisEngine.java:167)
    at org.broadinstitute.sting.gatk.CommandLineExecutable.(CommandLineExecutable.java:57)
    at org.broadinstitute.sting.gatk.CommandLineGATK.(CommandLineGATK.java:66)
    at org.broadinstitute.sting.gatk.CommandLineGATK.main(CommandLineGATK.java:106)
    Caused by: java.lang.NullPointerException
    at org.reflections.Reflections.scan(Reflections.java:220)
    at org.reflections.Reflections.scan(Reflections.java:166)
    at org.reflections.Reflections.(Reflections.java:94)
    at org.broadinstitute.sting.utils.classloader.PluginManager.(PluginManager.java:79)
    ... 4 more

    ERROR ------------------------------------------------------------------------------------------
    ERROR A GATK RUNTIME ERROR has occurred (version 3.1-0-g72492bb):
    ERROR
    ERROR This might be a bug. Please check the documentation guide to see if this is a known problem.
    ERROR If not, please post the error message, with stack trace, to the GATK forum.
    ERROR Visit our website and forum for extensive documentation and answers to
    ERROR commonly asked questions http://www.broadinstitute.org/gatk
    ERROR
    ERROR MESSAGE: Code exception (see stack trace for error itself)
    ERROR ------------------------------------------------------------------------------------------

    My java version is 1.8 and i use GATK 3.5.
    Can you help me.

  • gusefgusef BostonMember

    I have the same problem with Java 1.8, switching to jre 1.7.0_80 seems to work though. You can get it here: http://www.oracle.com/technetwork/java/javase/downloads/java-archive-downloads-javase7-521261.html

  • GourabSahaGourabSaha IndiaMember

    use java 7. I had the same problem. then i changed java 8 to java 7. It worked

Sign In or Register to comment.